package com.cqut.stack.bn.dao;

import com.cqut.stack.bn.pojo.bo.areaTransaction.GetRecentlyCategoryTradeTrendBO;
import com.cqut.stack.bn.pojo.dto.resourceTrade.GetCategoryTradeInfoDTO;
import com.cqut.stack.bn.pojo.dto.resourceTrade.GetHistoryTradeInfoDTO;
import com.cqut.stack.bn.pojo.entity.AreaTransaction;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cqut.stack.bn.pojo.entity.ElectronicSeal;
import com.cqut.stack.bn.pojo.vo.resourceTrade.GetCategoryTradeInfoVO;
import com.cqut.stack.bn.pojo.vo.resourceTrade.GetHistoryTradeInfoVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

public interface AreaTransactionMapper extends BaseMapper<AreaTransaction> {

    GetHistoryTradeInfoVO getHistoryTradeInfo(@Param("dto")GetHistoryTradeInfoDTO dto);

    List<GetCategoryTradeInfoVO> getCategoryTradeInfo(@Param("dto") GetCategoryTradeInfoDTO dto);

    List<GetRecentlyCategoryTradeTrendBO> getRecentlyCategoryTradeTrend(@Param("startDate") LocalDate startDate, @Param("endDate") LocalDate endDate);

    void deleteAll();
}
