package com.cqut.stack.bn.pojo.dto.areaHandle;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("区域办件情况导入模板参数")
public class AreaHandleImportDTO {
    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String districtCode;

    @ApiModelProperty(value = "申请")
    @ExcelProperty(value = "申请",index = 1)
    private String applyCount;

    @ApiModelProperty(value = "受理")
    @ExcelProperty(value = "受理",index = 2)
    private String acceptCount ;

    @ApiModelProperty(value = "办结（全量）")
    @ExcelProperty(value = "办结（全量）",index = 3)
    private String completeCount;

    @ApiModelProperty(value = "办结覆盖率")
    @ExcelProperty(value = "办结（全量）",index = 4)
    private String completeRate;

    @ApiModelProperty(value = "网上受理率")
    @ExcelProperty(value = "办结（全量）",index = 5)
    private String networkApplyRate;

    @ApiModelProperty(value = "按时办结率")
    @ExcelProperty(value = "办结（全量）",index = 6)
    private String completeOnTimeRate;
}
