package com.cqut.stack.bn.pojo.dto.areaTransaction;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("公共资源交易详情导入模板对象")
public class AreaTransactionImportDTO {

    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String areaName;

    @ApiModelProperty(value = "交易金额")
    @ExcelProperty(value = "马上办数量",index = 1)
    private String transactionAmount;

    @ApiModelProperty(value = "节约金额")
    @ExcelProperty(value = "马上办占比",index = 2)
    private String saveAmount;

    @ApiModelProperty(value = "交易宗数")
    @ExcelProperty(value = "马上办占比",index = 3)
    private String transactionCount;

    @ApiModelProperty(value = "交易类别（0：工程建设，1：政府采购，2：土地矿权，3：资源财产，4：其它交易）")
    @ExcelProperty(value = "马上办占比",index = 4)
    private String transactionType;

    @ApiModelProperty(value = "预算金额")
    @ExcelProperty(value = "马上办占比",index = 5)
    private String budgetAmount;
}
