package com.cqut.stack.bn.pojo.dto.characteristicThing;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("地方特色一件事信息导入模板参数")
public class CharacteristicThingImportDTO {
    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String districtCode;

    @ApiModelProperty(value = "申请件数")
    @ExcelProperty(value = "申请件数",index = 1)
    private String applyCount;

    @ApiModelProperty(value = "受理件数")
    @ExcelProperty(value = "受理件数",index = 2)
    private String processCount ;

    @ApiModelProperty(value = "办结件数")
    @ExcelProperty(value = "办结件数",index = 3)
    private String completeCount;
}
