package com.cqut.stack.bn.pojo.dto.electronicSeal;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("电子印章信息导入模板对象")
public class ElectronicSealInfoImportDTO {

    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String districtCode;

    @ApiModelProperty(value = "印章申领数")
    @ExcelProperty(value = "印章申领数",index = 1)
    private String sealApplyCount;

    @ApiModelProperty(value = "印章制作数")
    @ExcelProperty(value = "印章制作数",index = 2)
    private String sealMakeCount;

    @ApiModelProperty(value = "用章数")
    @ExcelProperty(value = "用章数",index = 3)
    private String usedSealCount;

    @ApiModelProperty(value = "已制作印章部门数")
    @ExcelProperty(value = "已制作印章部门数",index = 4)
    private String makeSealDeptCount;

    @ApiModelProperty(value = "未制作印章部门数")
    @ExcelProperty(value = "未制作印章部门数",index = 5)
    private String noSealDeptCount;
}
