package com.cqut.stack.bn.pojo.dto.file;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("上传模板文件入参")
public class UploadAttachmentDTO {
    @NotNull(message = "请选择需要上传的文件")
    @ApiModelProperty("模板文件")
    private MultipartFile multipartFile;

    @ApiModelProperty("模板文件业务类型id")
    private Integer businessId;
}
