package com.cqut.stack.bn.pojo.dto.fourOfficeInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@Data
@ApiModel("获取四办情况信息入参")
public class GetFourOfficeInfoDTO {
    @ApiModelProperty(value = "统计年份")
    private Integer year;

    @NotNull(message = "区县名称不能为空")
    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    private Integer areaName;
}
