package com.cqut.stack.bn.pojo.dto.hotlineDeptAcceptance;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
@ApiModel("获取市级各部门办件情况入参")
public class GetMunicipalDeptAcceptInfoDTO {

    @ApiModelProperty("分析类别（0：已办前五，1：超期前五）")
    private Integer analyseType;

    @ApiModelProperty(value = "统计年份")
    private Integer year = LocalDate.now().getYear();
}
