package com.cqut.stack.bn.pojo.dto.hotlineDeptAcceptance;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class HotlineDeptAcceptanceImportDTO {
    @ApiModelProperty(value = "部门名称")
    @ExcelProperty(value = "部门名称",index = 0)
    private String deptName;

    @ApiModelProperty(value = "已完成数量")
    @ExcelProperty(value = "已完成数量",index = 1)
    private Integer completeCount;


    @ApiModelProperty(value = "待处理数量")
    @ExcelProperty(value = "待处理数量",index = 2)
    private Integer pendingCount;

    @ApiModelProperty(value = "超期数量")
    @ExcelProperty(value = "超期数量",index = 3)
    private Integer overdueCount;
}
