package com.cqut.stack.bn.pojo.dto.todayAcceptance;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TodayAcceptanceImportDTO {
    @ApiModelProperty(value = "呼出总量")
    @ExcelProperty(value = "呼出总量",index = 0)
    private String outputCount;

    @ApiModelProperty(value = "呼入总量")
    @ExcelProperty(value = "呼入总量",index = 1)
    private String inputCount;

    @ApiModelProperty(value = "呼入接通量")
    @ExcelProperty(value = "呼入接通量",index = 2)
    private String inputAcceptCount;

    @ApiModelProperty(value = "呼出接通量")
    @ExcelProperty(value = "呼出接通量",index = 3)
    private String outputAcceptCount;

    @ApiModelProperty(value = "呼出平均时长(m)")
    @ExcelProperty(value = "呼出平均时长(m)",index = 4)
    private String outputAverageTime;

    @ApiModelProperty(value = "呼入平均时长(m)")
    @ExcelProperty(value = "呼入平均时长(m)",index = 5)
    private String inputAverageTime;
}
