package com.cqut.stack.bn.pojo.dto.workOrderCirculation;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class WorkOrderCirculationImportDTO {
    @ApiModelProperty(value = "建立时间")
    @ExcelProperty(value = "建立时间",index = 0)
    private Date setTime;

    @ApiModelProperty(value = "当前节点")
    @ExcelProperty(value = "当前节点",index = 1)
    private String currentNode;

    @ApiModelProperty(value = "接班部门")
    @ExcelProperty(value = "接班部门",index = 2)
    private String handoverDept;

    @ApiModelProperty(value = "办理人")
    @ExcelProperty(value = "办理人",index = 3)
    private String transactors;

    @ApiModelProperty(value = "办理时间")
    @ExcelProperty(value = "办理时间",index = 4)
    private Date processTime;

    @ApiModelProperty(value = "办理时限")
    @ExcelProperty(value = "办理时限",index = 5)
    private String timeLimit;

    @ApiModelProperty(value = "流转状态")
    @ExcelProperty(value = "流转状态",index = 6)
    private String flowStatus;
}
