package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("area_evaluate")
@ApiModel(value="AreaEvaluate对象", description="区域评价情况")
public class AreaEvaluate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "评价总数")
    @TableField("evaluate_count")
    private Integer evaluateCount;

    @ApiModelProperty(value = "好评数")
    @TableField("positive_count")
    private Integer positiveCount;

    @ApiModelProperty(value = "差评数")
    @TableField("negative_count")
    private Integer negativeCount;

    @ApiModelProperty(value = "满意率")
    @TableField("satisfaction_rate")
    private Double satisfactionRate;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    @TableField("district_name")
    private Integer districtName;


}
