package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 12345便民热线每日办件
 * </p>
 *
 * @author 宇
 * @since 2024-11-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hotline_daily_acceptance")
@ApiModel(value="HotlineDailyAcceptance对象", description="12345便民热线每日办件")
public class HotlineDailyAcceptance implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "当天接件数量")
    @TableField("accept_count")
    private Integer acceptCount;

    @ApiModelProperty(value = "日期")
    @TableField("accept_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date acceptDate;


}
