package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hotline_district_acceptance")
@ApiModel(value="HotlineDistrictAcceptance对象", description="12345便民热线区县办件")
public class HotlineDistrictAcceptance implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)区县名称")
    @TableField("district_name")
    private Integer districtName;

    @ApiModelProperty(value = "接件状态(0:已办，1：代办，2：超期)")
    @TableField("accept_status")
    private Integer acceptStatus;

    @ApiModelProperty(value = "数量")
    @TableField("accept_count")
    private Integer acceptCount;

    @ApiModelProperty(value = "统计年份")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;


}
