package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2024-11-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("inventory_info")
@ApiModel(value="InventoryInfo对象", description="")
public class InventoryInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "主项数")
    @TableField("main_items")
    private Integer mainItems;

    @ApiModelProperty(value = "子项数")
    @TableField("sub_items")
    private Integer subItems;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    @TableField("district_name")
    private Integer districtName;

    @ApiModelProperty(value = "办理项数")
    @TableField("process_items")
    private Integer processItems;


}
