package com.cqut.stack.bn.pojo.entity.role;

import java.io.Serializable;

public class Role implements Serializable {
    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名
     */
    private String roleName;

    /**
     * 资源id
     */
    private String permissionIds;

    public Role(){

    }

    public Role(String roleId, String roleName) {
        this.roleId = roleId;
        this.roleName = roleName;
    }

    public Role(String roleId, String roleName, String permissionIds) {
        this.roleId = roleId;
        this.roleName = roleName;
        this.permissionIds = permissionIds;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getPermissionIds() {
        return permissionIds;
    }

    public void setPermissionIds(String permissionIds) {
        this.permissionIds = permissionIds;
    }
}