package com.cqut.stack.bn.pojo.enums;

import lombok.Getter;

public class Hotline12345Enum {
    @Getter
    public enum DistrictEnum {

        NAN_JIANG(0, "南江县"),
        TONG_JIANG(1, "通江县"),
        BA_ZHOU(2, "巴州区"),
        EN_YANG(3, "恩阳区"),
        PING_CHANG(4, "平昌县");

        private final Integer code;
        private final String name;


        DistrictEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (Hotline12345Enum.DistrictEnum value : Hotline12345Enum.DistrictEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (Hotline12345Enum.DistrictEnum value : Hotline12345Enum.DistrictEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum AcceptStatEnum {

        COMPLETE(0, "已办"),
        PEND_PROCESS(1, "待办"),
        overdue(2, "超期");

        private final Integer code;
        private final String name;


        AcceptStatEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (Hotline12345Enum.AcceptStatEnum value : Hotline12345Enum.AcceptStatEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (Hotline12345Enum.AcceptStatEnum value : Hotline12345Enum.AcceptStatEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }
}
