package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.areaTransaction.AreaTransactionImportDTO;
import com.cqut.stack.bn.pojo.entity.AreaTransaction;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class AreaTransactionListener implements ReadListener<AreaTransactionImportDTO> {
    private final List<AreaTransaction> areaTransactionList = new ArrayList<>();

    @Override
    public void invoke(AreaTransactionImportDTO areaTransactionImportDTO, AnalysisContext analysisContext) {
        AreaTransaction areaTransaction = new AreaTransaction();
        BeanUtil.copyProperties(areaTransactionImportDTO,areaTransaction);
        areaTransactionList.add(areaTransaction);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
