package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.districtHandle.DistrictHandleImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class HotlineAcceptanceListener implements ReadListener<HotlineAcceptanceImportDTO> {
    private final List<HotlineAcceptance> hotlineAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(HotlineAcceptanceImportDTO hotlineAcceptanceImportDTO, AnalysisContext analysisContext) {
        HotlineAcceptance hotlineAcceptance = new HotlineAcceptance();
        BeanUtil.copyProperties(hotlineAcceptanceImportDTO,hotlineAcceptance);
        hotlineAcceptanceList.add(hotlineAcceptance);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
