package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.HotlineDailyAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.HotlineDailyAcceptance;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class HotlineDailyAcceptanceListener implements ReadListener<HotlineDailyAcceptanceImportDTO> {
    private final List<HotlineDailyAcceptance> hotlineDailyAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(HotlineDailyAcceptanceImportDTO hotlineAcceptanceImportDTO, AnalysisContext analysisContext) {
        HotlineDailyAcceptance hotlineDailyAcceptance = new HotlineDailyAcceptance();
        BeanUtil.copyProperties(hotlineAcceptanceImportDTO,hotlineDailyAcceptance);
        hotlineDailyAcceptanceList.add(hotlineDailyAcceptance);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
