package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDeptAcceptance.HotlineDeptAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.HotlineDeptAcceptance;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class HotlineDeptAcceptanceListener implements ReadListener<HotlineDeptAcceptanceImportDTO> {
    private final List<HotlineDeptAcceptance> hotlineDeptAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(HotlineDeptAcceptanceImportDTO hotlineDeptAcceptanceImportDTO, AnalysisContext analysisContext) {
        HotlineDeptAcceptance hotlineAcceptance = new HotlineDeptAcceptance();
        BeanUtil.copyProperties(hotlineDeptAcceptanceImportDTO,hotlineAcceptance);
        hotlineDeptAcceptanceList.add(hotlineAcceptance);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
