package com.cqut.stack.bn.pojo.vo.areaEvaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取区域评价信息返回参数")
public class GetAreaEvaluateInfoVO {
    @ApiModelProperty(value = "评价总数")
    private Integer evaluateCount;

    @ApiModelProperty(value = "好评数")
    private Integer positiveCount;

    @ApiModelProperty(value = "差评数")
    private Integer negativeCount;

    @ApiModelProperty(value = "满意率")
    private Double satisfactionRate;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    private String districtName;
}
