package com.cqut.stack.bn.pojo.vo.areaHandle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取区域办件信息返回参数")
public class GetAreaHandleInfoVO {
    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    private String districtName;

    @ApiModelProperty(value = "申请数")
    private Integer applyCount;

    @ApiModelProperty(value = "受理数")
    private Integer acceptCount;

    @ApiModelProperty(value = "办结数")
    private Integer completeCount;

    @ApiModelProperty(value = "办结覆盖率")
    private Double completeRate;

    @ApiModelProperty(value = "网上受理率")
    private Double networkApplyRate;

    @ApiModelProperty(value = "按时办结率")
    private Double completeOnTimeRate;
}
