package com.cqut.stack.bn.pojo.vo.electronicSeal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取电子印章信息返回参数")
public class GetElectronicSealInfoVO {
    @ApiModelProperty(value = "印章申领数")
    private Integer sealApplyCount;

    @ApiModelProperty(value = "印章制作数")
    private Integer sealMakeCount;

    @ApiModelProperty(value = "用章数")
    private Integer usedSealCount;

    @ApiModelProperty(value = "已制作印章部门数")
    private Integer makeSealDeptCount;

    @ApiModelProperty(value = "未制作印章部门数")
    private Integer noSealDeptCount;

    @ApiModelProperty(value = "印章申领总数")
    private Integer sealApplyTotalCount;

    @ApiModelProperty(value = "印章制作总数")
    private Integer sealMakeTotalCount;

    @ApiModelProperty(value = "用章总数")
    private Integer usedSealTotalCount;

    @ApiModelProperty(value = "已制作印章部门总数")
    private Integer makeSealDeptTotalCount;

    @ApiModelProperty(value = "未制作印章部门总数")
    private Integer noSealDeptTotalCount;
}
