package com.cqut.stack.bn.pojo.vo.hotlineDistrictAcceptance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Data
@ApiModel("市级各部门办件情况返回参数")
public class GetHotlineDistrictAcceptInfoVO {

    @ApiModelProperty("x轴数据，曲线名称")
    private Set<String> xAxisData;

    @ApiModelProperty("y轴数据，各状态数量Map(状态，状态对应的List)")
    private Map<String, List<Integer>> yAxisData;
}
