package com.cqut.stack.bn.pojo.vo.resourceTrade;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取历史交易信息返回参数")
public class GetHistoryTradeInfoVO {

    @ApiModelProperty("累计交易金额(亿元)")
    private Double transactionAmount = 0.00D;

    @ApiModelProperty("累计交易宗数(宗)")
    private Integer transactionCount = 0;

    @ApiModelProperty("累计节约金额(亿元)")
    private Double saveAmount = 0.00D;

    @ApiModelProperty(value = "累计预算金额(亿元)")
    private Double budgetAmount = 0.00D;
}
