package com.cqut.stack.bn.pojo.vo.todayAcceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取今日话务情况返回参数")
public class GetTodayAcceptanceInfoVO {
    @ApiModelProperty(value = "呼出总量")
    private Integer outputCount;

    @ApiModelProperty(value = "呼入总量")
    private Integer inputCount;

    @ApiModelProperty(value = "呼入接通量")
    private Integer inputAcceptCount;

    @ApiModelProperty(value = "呼出接通量")
    private Integer outputAcceptCount;

    @ApiModelProperty(value = "呼出平均时长(m)")
    private Double outputAverageTime;

    @ApiModelProperty(value = "呼入平均时长(m)")
    private Double inputAverageTime;
}
