package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.base.ExcelImportDTO;
import com.cqut.stack.bn.pojo.dto.resourceTrade.*;
import com.cqut.stack.bn.pojo.entity.AreaTransaction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.vo.resourceTrade.GetCategoryTradeInfoVO;
import com.cqut.stack.bn.pojo.vo.resourceTrade.GetCategoryTradeProportionVO;
import com.cqut.stack.bn.pojo.vo.resourceTrade.GetHistoryTradeInfoVO;
import com.cqut.stack.bn.pojo.vo.resourceTrade.GetRecentlyCategoryTradeTrendVO;

import java.util.List;

public interface AreaTransactionService extends IService<AreaTransaction> {

    GetHistoryTradeInfoVO getHistoryTradeInfo(GetHistoryTradeInfoDTO dto);

    List<GetCategoryTradeInfoVO> getCategoryTradeInfo(GetCategoryTradeInfoDTO dto);

    GetCategoryTradeProportionVO getCategoryTradeProportion(GetCategoryTradeProportionDTO dto);

    GetRecentlyCategoryTradeTrendVO getRecentlyCategoryTradeTrend(GetRecentlyCategoryTradeTrendDTO dto);

    AreaTransaction getCurrentAreaTradeInfo(GetCurrentAreaTradeInfoDTO dto);

    List<AreaTransaction> getAreaTransactionList(GetAreaTransactionDTO dto);

    void importResourceTransactionInfo(ExcelImportDTO dto);
}
