package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.electronicSeal.GetElectronicSealInfoDTO;
import com.cqut.stack.bn.pojo.dto.electronicSeal.GetElectronicSealInfoListDTOByPageDTO;
import com.cqut.stack.bn.pojo.dto.electronicSeal.ImportElectronicSealInfoDTO;
import com.cqut.stack.bn.pojo.entity.ElectronicSeal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cqut.stack.bn.pojo.vo.electronicSeal.GetElectronicSealInfoVO;

import java.util.List;

public interface ElectronicSealService extends IService<ElectronicSeal> {

    GetElectronicSealInfoVO getElectronicSealInfo(GetElectronicSealInfoDTO dto);

    List<ElectronicSeal> getElectronicSealInfoListByPage(GetElectronicSealInfoListDTOByPageDTO dto);

    void importElectronicSealInfo(ImportElectronicSealInfoDTO dto);
}
