package com.cqut.stack.bn.util.jsonResult;

import lombok.Getter;

@Getter
public enum CodeMessage {

    /**
     * 返回信息
     * 命名规则：(E/S) + 形容词 + 名称;可以适当采用英文缩写
     */
    S_SUCCESS(200, "操作成功"),
    E_ERROR(500, "操作失败");

    private final int code;

    private final String message;

    CodeMessage(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
