package com.cqut.stack.bn.util.jsonResult;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PageMessageDTO {
    /**
     * 第几页(默认第一页)
     */
    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    /**
     * 每页显示多少条记录(默认每页10条)
     */
    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;
}
