# 帮助文档

## 后端技术架构
* ToolsBusinessWarn 自定义异常类
* GlobalExceptionHandler 全局异常捕获
* Result 统一JSON格式返回实体
* Knife4j swagger文档 文档地址：http://ip:端口号/doc.html
* @Validated 参数校验
* SpringSecurity 安全框架
* springboot + mybatis + mybatisPlus + mysql + redis + minio框架
* 入参：DTO 返参：VO
* MybatisPlusAutoGenerator 基础代码生成器

## 后端代码规范
* 每个接口使用自己的入参、返参，禁止多个接口使用同一个入参、返参
* 入参校验使用@Validated注解，禁止使用if条件判断入参
* 禁止在controller中写业务逻辑

