package com.cqut.stack.bn.controller;

import com.cqut.stack.bn.service.UserDetailService;
import com.cqut.stack.bn.util.jsonResult.JSONResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/module")
public class ModuleController {

    @Autowired
    private UserDetailService userDetailService;

    @GetMapping("/selectModuleList/{account}")
    public JSONResult selectModuleList(@PathVariable String account){
        return new JSONResult(userDetailService.selectPermissionListByUser(account));
    }

}
