package com.cqut.stack.bn.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cqut.stack.bn.pojo.bo.hotlineDailyAcceptance.GetRecentlyAcceptCountTrendBO;
import com.cqut.stack.bn.pojo.entity.HotlineDailyAcceptance;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

public interface HotlineDailyAcceptanceMapper extends BaseMapper<HotlineDailyAcceptance> {

    Integer getHistoryAcceptCount(@Param("year") String year, @Param("month") String month);

    List<GetRecentlyAcceptCountTrendBO> getRecentlyAcceptCountTrend(@Param("startDate") LocalDate startDate, @Param("endDate") LocalDate endDate);

    void deleteAll();
}
