package com.cqut.stack.bn.dao;

import com.cqut.stack.bn.pojo.dto.metadata.QueryMetaDataListDTO;
import com.cqut.stack.bn.pojo.vo.matadata.QueryMetaDataListVO;
import com.cqut.stack.bn.pojo.vo.matadata.TableInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
@Component
@Transactional
public interface MetadataMapper {
    List<TableInfo> queryMetaDataList(@Param("param") QueryMetaDataListDTO dto);

    void synchronizeData(@Param("filedKey") String filedKey,@Param("fieldValue") String fieldValue);
}
