package com.cqut.stack.bn.dao;

import com.cqut.stack.bn.pojo.dto.role.AddRolePermissionDTO;
import com.cqut.stack.bn.pojo.dto.role.RoleDTO;
import com.cqut.stack.bn.pojo.dto.role.permissionDTO;
import com.cqut.stack.bn.pojo.entity.role.Role;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
@Component
@Transactional
public interface RoleMapper {
    Page<Role> getRoleList();

    Role getEditInfo(@Param("roleId") String roleId);

    List<permissionDTO> getPathList(@Param("roleId") String id);

    int editRole(RoleDTO roleDTO);

    int  deleteRolePermission(@Param("roleId") String roleId);
    int  deleteRole(@Param("roleId") String roleId);

    int addRole(Role role);

    int addRolePermission(@Param("rolePermissionList") List<AddRolePermissionDTO> rolePermissionList);

    List<permissionDTO> getPermissionList();

}