package com.cqut.stack.bn.pojo.dto.areaEvaluate;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("导入区域评价信息模板参数")
public class AreaEvaluateImportDTO {
    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String districtCode;

    @ApiModelProperty(value = "评价数")
    @ExcelProperty(value = "评价数",index = 1)
    private String evaluateCount;

    @ApiModelProperty(value = "好评数")
    @ExcelProperty(value = "好评数",index = 2)
    private String positiveCount ;

    @ApiModelProperty(value = "差评数")
    @ExcelProperty(value = "差评数",index = 3)
    private String negativeCount;

    @ApiModelProperty(value = "满意率")
    @ExcelProperty(value = "满意率",index = 4)
    private String satisfactionRate;
}
