package com.cqut.stack.bn.pojo.dto.electronicCertificate;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("电子证照信息导入模板对象")
public class ElectronicCertificateImportDTO {
    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String districtCode;

    @ApiModelProperty(value = "需产生证照的办件数")
    @ExcelProperty(value = "需产生证照的办件数",index = 1)
    private String needCertificateCount;

    @ApiModelProperty(value = "产生证照的办件数")
    @ExcelProperty(value = "产生证照的办件数",index = 2)
    private String createCertificateCount;

    @ApiModelProperty(value = "未产生证照的办件数")
    @ExcelProperty(value = "未产生证照的办件数",index = 3)
    private String uncreateCertificateCount;

    @ApiModelProperty(value = "证照生产率")
    @ExcelProperty(value = "证照生产率",index = 4)
    private String certificateCreateProbability;
}
