package com.cqut.stack.bn.pojo.dto.electronicSeal;


import com.cqut.stack.bn.util.jsonResult.PageMessage;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
@ApiModel("获取电子印章信息入参-分页查询")
public class GetElectronicSealInfoListDTOByPageDTO extends PageMessage {
    @ApiModelProperty(value = "开始统计的年月日")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate beginDate;

    @ApiModelProperty(value = "截止统计的年月日")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;
}
