package com.cqut.stack.bn.pojo.dto.fourOfficeInfo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("四办情况信息导入模板对象")
public class FourOfficeImportDTO {
    @ApiModelProperty(value = "地区")
    @ExcelProperty(value = "地区",index = 0)
    private String districtCode;

    @ApiModelProperty(value = "马上办数量")
    @ExcelProperty(value = "马上办数量",index = 1)
    private String processNowCount;

    @ApiModelProperty(value = "马上办占比")
    @ExcelProperty(value = "马上办占比",index = 2)
    private String processNowAccount ;

    @ApiModelProperty(value = "网上办数量")
    @ExcelProperty(value = "网上办数量",index = 3)
    private String processNetCount;

    @ApiModelProperty(value = "网上办占比")
    @ExcelProperty(value = "网上办占比",index = 4)
    private String processNetAccount;

    @ApiModelProperty(value = "一次办数量")
    @ExcelProperty(value = "一次办数量",index = 5)
    private String processOnceCount;

    @ApiModelProperty(value = "一次办占比")
    @ExcelProperty(value = "一次办占比",index = 6)
    private String processOnceAccount;

    @ApiModelProperty(value = "地区名称")
    @ExcelIgnore
    private Integer districtName;
}
