package com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance;

import com.cqut.stack.bn.util.jsonResult.PageMessage;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DateDTO extends PageMessage {
    @ApiModelProperty(value = "开始日期",example = "2023-11-24")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startDate;

    @ApiModelProperty(value = "结束日期",example = "2024-11-24")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;
}
