package com.cqut.stack.bn.pojo.dto.permission;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * @Author: 罗舒月
 * @Description:  用户资源列表 ： 返回结果
 * @Date: Create in 17:07 2019/4/2
 */
public class PermissionDTO {

    /** 资源ID */
    private String permissionId;

    /** 资源名称 */
    @JsonProperty("label")
    private String permissionName;

    /** 路径 */
    @JsonProperty("to")
    private String permissionPath;

    /** 子路由 */
    private List<PermissionDTO> menuGroup;

    public String getPermissionId() {
        return permissionId;
    }

    public void setPermissionId(String permissionId) {
        this.permissionId = permissionId;
    }

    public String getPermissionName() {
        return permissionName;
    }

    public void setPermissionName(String permissionName) {
        this.permissionName = permissionName;
    }

    public String getPermissionPath() {
        return permissionPath;
    }

    public void setPermissionPath(String permissionPath) {
        this.permissionPath = permissionPath;
    }

    public List<PermissionDTO> getMenuGroup() {
        return menuGroup;
    }

    public void setMenuGroup(List<PermissionDTO> menuGroup) {
        this.menuGroup = menuGroup;
    }
}
