package com.cqut.stack.bn.pojo.dto.resourceTrade;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("公共资源交易信息导入模板对象")
public class ResourceTransactionImportDTO {
    @ApiModelProperty(value = "交易项目名称")
    @ExcelProperty(value = "交易项目名称",index = 0)
    private String itemName;

    @ApiModelProperty(value = "业主单位")
    @ExcelProperty(value = "业主单位",index = 1)
    private String ownerUnit;

    @ApiModelProperty(value = "交易日期")
    @ExcelProperty(value = "交易日期",index = 2)
    private String transactionDate;

    @ApiModelProperty(value = "预算金额")
    @ExcelProperty(value = "预算金额",index = 3)
    private String budgetAmount;

    @ApiModelProperty(value = "成交金额")
    @ExcelProperty(value = "成交金额",index = 4)
    private String transactionAmount;
}
