package com.cqut.stack.bn.pojo.dto.role;


import javax.validation.constraints.NotNull;

/**
 * RoleManagementController 新增角色DTO
 * 设计者:  谭深化
 * 更新日期: 2019/4/1
 */
public class AddRoleDTO{

    /**
     * 角色名
     */
    @NotNull(message = "角色名不能为空")
    private String roleName;

    /**
     * 资源id
     */
    @NotNull(message = "资源id不能为空")
    private String permissionIds;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getPermissionIds() {
        return permissionIds;
    }

    public void setPermissionIds(String permissionIds) {
        this.permissionIds = permissionIds;
    }
//
//    public Role getRole(){
//
//        Role role = new Role();
//        role.setRoleId(UUID.randomUUID().toString());
//        role.setRoleName(roleName);
//        role.setPermissionIds(permissionIds);
//
//        return role;
//    }
}
