package com.cqut.stack.bn.pojo.dto.user;

import org.hibernate.validator.constraints.NotBlank;

/**
 * @Author: 罗舒月
 * @Description: 更改用户角色 ： 请求参数
 * @Date: Create in 19:52 2019/3/31
 */
public class ChangeUserRoleInputDTO {
    /** 用户ID */
    @NotBlank(message = "用户ID不能为空")
    private String userId;

    /** 角色ID */
    @NotBlank(message = "角色ID不能为空")
    private String roleId;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }
}
