package com.cqut.stack.bn.pojo.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("新增用户入参")
public class InsertUserInputDTO {

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("账号")
    @NotNull(message = "账号不能为空")
    private String account;

    @ApiModelProperty("初始密码")
    @NotNull(message = "初始密码不能为空")
    private String password;

    @ApiModelProperty("角色ID,超级管理员：1")
    @NotNull(message = "角色ID不能为空")
    private String roleId;

    @ApiModelProperty("备注")
    private String remark;
}
