package com.cqut.stack.bn.pojo.dto.user;

import org.hibernate.validator.constraints.NotBlank;

/**
 * @Author: 罗舒月
 * @Description: 系统用户修改密码 ： 请求参数
 * @Date: Create in 21:06 2019/4/1
 */
public class UpdatePasswordInputDTO {

    /** 账户 */
    @NotBlank(message = "账户不能为空")
    private String account;

    /** 新密码 */
    @NotBlank(message = "新密码不能为空")
    private String password;

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
