package com.cqut.stack.bn.pojo.dto.wordOrderDetail;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WordOrderDetailImportDTO {
    @ApiModelProperty(value = "来源方式")
    @TableField("source_type")
    @ExcelProperty(value = "工单类型",index = 0)
    private String sourceType;

    @ApiModelProperty(value = "受理类型")
    @TableField("accept_type")
    @ExcelProperty(value = "工单类型",index = 1)
    private String acceptType;

    @ApiModelProperty(value = "受理时间")
    @TableField("accept_date")
    @ExcelProperty(value = "工单类型",index = 2)
    private String acceptDate;

    @ApiModelProperty(value = "转接来源")
    @TableField("transfer_source")
    @ExcelProperty(value = "工单类型",index = 3)
    private String transferSource;

    @ApiModelProperty(value = "所在区域")
    @TableField("order_area")
    @ExcelProperty(value = "工单类型",index = 4)
    private String orderArea;

    @ApiModelProperty(value = "热点分类")
    @TableField("hot_type")
    @ExcelProperty(value = "工单类型",index = 5)
    private String hotType;

    @ApiModelProperty(value = "来电人")
    @TableField("caller_name")
    @ExcelProperty(value = "工单类型",index = 6)
    private String callerName;

    @ApiModelProperty(value = "性别")
    @TableField("sex")
    @ExcelProperty(value = "工单类型",index = 7)
    private String sex;

    @ApiModelProperty(value = "联系电话")
    @TableField("caller_phone")
    @ExcelProperty(value = "工单类型",index = 8)
    private String callerPhone;

    @ApiModelProperty(value = "联系地址")
    @TableField("caller_adress")
    @ExcelProperty(value = "工单类型",index = 9)
    private String callerAdress;

    @ApiModelProperty(value = "交办时间")
    @TableField("delivery_time")
    @ExcelProperty(value = "工单类型",index = 10)
    private String deliveryTime;

    @ApiModelProperty(value = "办理时间")
    @TableField("process_time")
    @ExcelProperty(value = "工单类型",index = 11)
    private String processTime;

    @ApiModelProperty(value = "归档时间")
    @TableField("archive_time")
    @ExcelProperty(value = "工单类型",index = 12)
    private String archiveTime;

    @ApiModelProperty(value = "期满时间")
    @TableField("expiration_time")
    @ExcelProperty(value = "工单类型",index = 13)
    private String expirationTime;

    @ApiModelProperty(value = "交办部门")
    @TableField("assigned_dept")
    @ExcelProperty(value = "工单类型",index = 14)
    private String assignedDept;

    @ApiModelProperty(value = "办理部门")
    @TableField("process_dept")
    @ExcelProperty(value = "工单类型",index = 15)
    private String processDept;

    @ApiModelProperty(value = "归档部门")
    @TableField("archive_dept")
    @ExcelProperty(value = "工单类型",index = 16)
    private String archiveDept;

    @ApiModelProperty(value = "办理时限")
    @TableField("process_time_limit")
    @ExcelProperty(value = "工单类型",index = 17)
    private String processTimeLimit;

    @ApiModelProperty(value = "受理标题")
    @TableField("acceptance_title")
    @ExcelProperty(value = "工单类型",index = 18)
    private String acceptanceTitle;

    @ApiModelProperty(value = "受理内容")
    @TableField("acceptance_content")
    @ExcelProperty(value = "工单类型",index = 19)
    private String acceptanceContent;

    @ApiModelProperty(value = "中心意见")
    @TableField("central_opinion")
    @ExcelProperty(value = "工单类型",index = 20)
    private String centralOpinion;

    @ApiModelProperty(value = "承办意见")
    @TableField("undertak_opinions")
    @ExcelProperty(value = "工单类型",index = 21)
    private String undertakOpinions;

    @ApiModelProperty(value = "退回意见")
    @TableField("return_opinion")
    @ExcelProperty(value = "工单类型",index = 22)
    private String returnOpinion;
}
