package com.cqut.stack.bn.pojo.dto.workOrder;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WorkOrderImportDTO {
    @ApiModelProperty(value = "工单类型")
    @ExcelProperty(value = "工单类型",index = 0)
    private String orderType;

    @ApiModelProperty(value = "来源类型")
    @ExcelProperty(value = "来源类型",index = 1)
    private String resourceType;

    @ApiModelProperty(value = "来电时间")
    @ExcelProperty(value = "来电时间",index = 2)
    private String orderTime;

    @ApiModelProperty(value = "来电人")
    @ExcelProperty(value = "来电人",index = 3)
    private String orderPerson;

    @ApiModelProperty(value = "来电标题")
    @ExcelProperty(value = "来电标题",index = 4)
    private String orderTitle;

    @ApiModelProperty(value = "来电区域")
    @ExcelProperty(value = "来电区域",index = 5)
    private String orderArea;

}
