package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("area_handle")
    @ApiModel(value="AreaHandle对象", description="区域办件情况")
public class AreaHandle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    @TableField("district_name")
    private Integer districtName;

    @ApiModelProperty(value = "申请数")
    @TableField("apply_count")
    private Integer applyCount;

    @ApiModelProperty(value = "受理数")
    @TableField("accept_count")
    private Integer acceptCount;

    @ApiModelProperty(value = "办结数")
    @TableField("complete_count")
    private Integer completeCount;

    @ApiModelProperty(value = "办结覆盖率")
    @TableField("complete_rate")
    private Double completeRate;

    @ApiModelProperty(value = "网上受理率")
    @TableField("network_apply_rate")
    private Double networkApplyRate;

    @ApiModelProperty(value = "按时办结率")
    @TableField("complete_on_time_rate")
    private Double completeOnTimeRate;


}
