package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("attachment")
@ApiModel(value="Attachment对象", description="附件表")
public class Attachment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "文件名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "文件存储唯一名称")
    @TableField("obj_name")
    private String objName;

    @ApiModelProperty(value = "附件路径")
    @TableField("path")
    private String path;

    @ApiModelProperty(value = "附件类型")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "附件大小")
    @TableField("size")
    private Long size;

    @ApiModelProperty(value = "业务类型id")
    @TableField("business_id")
    private Integer businessId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
