package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("database_table")
@ApiModel(value="DatabaseTable对象", description="")
public class DatabaseTable implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "数据表名称")
    @TableField("table_name")
    private String tableName;

    @ApiModelProperty(value = "数据表备注")
    @TableField("table_remark")
    private String tableRemark;

    @ApiModelProperty(value = "所属系统（0：12345，1：公共资源交易中心，2：政府服务）")
    @TableField("owner_type")
    private Integer ownerType;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "第三方接口地址")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "同步接口请求方式")
    @TableField("request_method")
    private String requestMethod;


}
