package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hotline_acceptance")
@ApiModel(value="HotlineAcceptance对象")
public class HotlineAcceptance implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "区县名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "受理量")
    @TableField("accept_count")
    private Integer acceptCount;

    @ApiModelProperty(value = "交办量")
    @TableField("process_count")
    private Integer processCount;

    @ApiModelProperty(value = "统计年份")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy")
    private Date statDate;


}
