package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hotline_dept_acceptance")
@ApiModel(value="HotlineDeptAcceptance对象", description="12345便民热线部门办件情况")
public class HotlineDeptAcceptance implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "部门名称")
    @TableField("dept_name")
    private String deptName;

    @ApiModelProperty(value = "已完成数量")
    @TableField("complete_count")
    private Integer completeCount;

    @ApiModelProperty(value = "统计日期")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;

    @ApiModelProperty(value = "待处理数量")
    @TableField("pending_count")
    private Integer pendingCount;

    @ApiModelProperty(value = "超期数量")
    @TableField("overdue_count")
    private Integer overdueCount;


}
