package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("work_order_circulation")
@ApiModel(value="WorkOrderCirculation对象", description="工单流转明细")
public class WorkOrderCirculation implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "工单id")
    @TableField("order_id")
    private Integer orderId;

    @ApiModelProperty(value = "建立时间")
    @TableField("set_time")
    private Date setTime;

    @ApiModelProperty(value = "当前节点")
    @TableField("current_node")
    private String currentNode;

    @ApiModelProperty(value = "接班部门")
    @TableField("handover_dept")
    private String handoverDept;

    @ApiModelProperty(value = "办理人")
    @TableField("transactors")
    private String transactors;

    @ApiModelProperty(value = "办理时间")
    @TableField("process_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date processTime;

    @ApiModelProperty(value = "办理时限")
    @TableField("time_limit")
    private String timeLimit;

    @ApiModelProperty(value = "流转状态")
    @TableField("flow_status")
    private String flowStatus;


}
