package com.cqut.stack.bn.pojo.entity.user;

import com.cqut.stack.bn.pojo.enums.UserStatus;

import javax.validation.constraints.NotNull;

public class User {
    private String userId;

    private String userName;

    @NotNull(message = "账号不能为空")
    private String account;

    private String password;

    private Integer status = UserStatus.EFFECT.getCode();

    private Integer isDeleted = 0;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }
}