package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.districtHandle.DistrictHandleImportDTO;
import com.cqut.stack.bn.pojo.entity.DistrictHandle;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class DistrictHandleListener implements ReadListener<DistrictHandleImportDTO> {
    private final List<DistrictHandle> districtHandleList = new ArrayList<>();

    @Override
    public void invoke(DistrictHandleImportDTO districtHandleImportDTO, AnalysisContext analysisContext) {
        DistrictHandle districtHandle = new DistrictHandle();
        BeanUtil.copyProperties(districtHandleImportDTO,districtHandle);
        districtHandleList.add(districtHandle);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
