package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDistrictAcceptance.HotlineDistrictAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.HotlineDistrictAcceptance;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class HotlineDistrictAcceptanceListener implements ReadListener<HotlineDistrictAcceptanceImportDTO> {
    private final List<HotlineDistrictAcceptance> hotlineDistrictAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(HotlineDistrictAcceptanceImportDTO hotlineDistrictAcceptanceImportDTO, AnalysisContext analysisContext) {
        HotlineDistrictAcceptance hotlineDistrictAcceptance = new HotlineDistrictAcceptance();
        BeanUtil.copyProperties(hotlineDistrictAcceptanceImportDTO,hotlineDistrictAcceptance);
        hotlineDistrictAcceptanceList.add(hotlineDistrictAcceptance);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}