package com.cqut.stack.bn.pojo.vo.characteristicThing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel("获取地方特色一件事信息返回参数")
public class GetCharacteristicThingInfoVO {
    @ApiModelProperty("x轴数据，区县名称")
    private List<String> xAxisData;

    @ApiModelProperty("y轴数据，各状态数量Map(状态，状态对应的List)")
    private Map<String,List<Integer>> yAxisData;
}
