package com.cqut.stack.bn.pojo.vo.hotlineDeptAcceptance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Data
@ApiModel("市级各部门办件情况")
public class GetMunicipalDeptAcceptInfoVO {
    @ApiModelProperty("x轴数据，前5部门名称")
    private List<String> xAxisData;

    @ApiModelProperty("y轴数据，各状态数量Map(状态，状态对应的List)")
    private Map<String,List<Integer>> yAxisData;
}
