package com.cqut.stack.bn.pojo.vo.inventory;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取目录清单列表返回参数")
public class GetInventoryInfoListVO {

    @ApiModelProperty(value = "主项数")
    private Integer mainItems;

    @ApiModelProperty(value = "子项数")
    private Integer subItems;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    private Integer districtName;

    @ApiModelProperty(value = "区县名称")
    private String districtNameStr;

    @ApiModelProperty(value = "办理项数")
    private Integer processItems;

}
