package com.cqut.stack.bn.pojo.vo.matadata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("元数据表子类")
public class TableInfo {
    @ApiModelProperty(value = "表id")
    private Integer tableId;

    @ApiModelProperty(value = "数据表名称")
    private String tableName;

    @ApiModelProperty(value = "数据表备注")
    private String tableRemark;

    @ApiModelProperty(value = "所属系统（0：12345，1：公共资源交易中心，2：政府服务）")
    private Integer ownerType;

    @ApiModelProperty("字段信息")
    List<FiledInfo> fieldInfoList;
}
