package com.cqut.stack.bn.pojo.vo.organization;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取历史接件量返回参数")
public class GetOrganizationInfoVO {
    @ApiModelProperty(value = "行政区划数")
    private Integer administrativeDivisionCount;

    @ApiModelProperty(value = "组织机构数")
    private Integer organizationCount;

    @ApiModelProperty(value = "工作人员注册数")
    private Integer workerRegisterCount;

    @ApiModelProperty(value = "工作人员-认证数")
    private Integer workerAuthenticationCount;

    @ApiModelProperty(value = "工作人员-认证率")
    private Double workerAuthenticationRate;

    @ApiModelProperty(value = "工作人员-登录率")
    private Double workerLoginRate;
}
