package com.cqut.stack.bn.pojo.vo.resourceTrade;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("获取分类交易情况返回参数")
public class GetCategoryTradeInfoVO {

    @ApiModelProperty("累计交易宗数(宗)")
    private Integer transactionCount = 0;

    @ApiModelProperty("累计交易金额(亿元)")
    private Double transactionAmount = 0.00D;

    @ApiModelProperty(value = "交易类别（0：工程建设，1：政府采购，2：土地矿权，3：资源财产，4：其它交易）")
    private Integer transactionType;
}
