package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.base.ExcelImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDeptAcceptance.GetHotlineDeptAcceptanceDTO;
import com.cqut.stack.bn.pojo.entity.DistrictHandle;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author thinkpad
* @description 针对表【district_handle(区县受理量、交办量)】的数据库操作Service
* @createDate 2024-11-24 15:53:46
*/
public interface DistrictHandleService extends IService<DistrictHandle> {

    List<DistrictHandle> getDistrictHandle(DateDTO dateDTO);

    void importDistrictHandle(ExcelImportDTO dto);
}
