package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.electronicCertificate.GetElectronicCertificateInfoDTO;
import com.cqut.stack.bn.pojo.dto.electronicCertificate.GetElectronicCertificateInfoListByPageDTO;
import com.cqut.stack.bn.pojo.dto.electronicCertificate.ImportElectronicCertificateInfoDTO;
import com.cqut.stack.bn.pojo.entity.ElectronicCertificate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cqut.stack.bn.pojo.vo.electronicCertificate.GetElectronicCertificateInfoVO;

import java.util.List;

public interface ElectronicCertificateService extends IService<ElectronicCertificate> {

    GetElectronicCertificateInfoVO getElectronicCertificateInfo(GetElectronicCertificateInfoDTO dto);

    List<ElectronicCertificate> getElectronicCertificateInfoListByPage(GetElectronicCertificateInfoListByPageDTO dto);

    void importElectronicCertificateInfo(ImportElectronicCertificateInfoDTO dto);
}
