package com.cqut.stack.bn.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cqut.stack.bn.pojo.dto.base.ExcelImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.entity.HotlineDailyAcceptance;
import com.cqut.stack.bn.pojo.vo.hotlineDailyAcceptance.GetRecentlyAcceptCountTrendVO;
import com.cqut.stack.bn.pojo.vo.hotlineDailyAcceptance.GetHistoryAcceptCountVO;

import java.util.List;

public interface HotlineDailyAcceptanceService extends IService<HotlineDailyAcceptance> {

    GetHistoryAcceptCountVO getHistoryAcceptCount();

    GetRecentlyAcceptCountTrendVO getRecentlyAcceptCountTrend();

    List<HotlineDailyAcceptance> getHotlineDailyAcceptance(DateDTO dateDTO);

    void importHotlineDailyAcceptance(ExcelImportDTO dto);
}
