package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.permission.PermissionGetListInputDTO;
import com.cqut.stack.bn.pojo.dto.role.AddRoleDTO;
import com.cqut.stack.bn.pojo.dto.role.RoleDTO;
import com.cqut.stack.bn.pojo.dto.role.permissionDTO;
import com.cqut.stack.bn.pojo.entity.role.Role;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Component
@Transactional
public interface RoleService {
    PageInfo<Role> getRoleList(PermissionGetListInputDTO inputDTO);

    List<permissionDTO> getEditInfo(String roleId);

    boolean editRole(RoleDTO roleDTO);

    boolean deleteRole(String roleId);

    boolean addRole(AddRoleDTO addRoleDTO);

    List<permissionDTO> getPermissionList();
}
