package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.permission.PermissionDTO;
import com.cqut.stack.bn.pojo.entity.user.User;

import java.util.List;

public interface UserDetailService {
    /**
     * 检查用户是否存在
     * @param user
     * @return
     */
    Boolean checkAccount(User user);

    /**
     * 根据用户信息得到相应的资源列表
     * @param account
     * @return
     */
    List<PermissionDTO> selectPermissionListByUser(String account);


}
