package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.base.ExcelImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.dto.workOrderCirculation.GetWorkOrderCirculationDTO;
import com.cqut.stack.bn.pojo.entity.WorkOrderCirculation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface WorkOrderCirculationService extends IService<WorkOrderCirculation> {

    WorkOrderCirculation getWorkOrderCirculation(GetWorkOrderCirculationDTO dto);

    List<WorkOrderCirculation> getWorkOrderCirculationList(DateDTO dateDTO);

    void importWorkOrderCirculationList(ExcelImportDTO dto);
}
