package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.base.ExcelImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.dto.workOrder.GetWorkOrderResourceTypeDTO;
import com.cqut.stack.bn.pojo.entity.WorkOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cqut.stack.bn.pojo.vo.workOrder.GetWorkOrderResourceTypVO;

import java.util.List;

public interface WorkOrderService extends IService<WorkOrder> {

    List<WorkOrder> getWorkOrderList();

    GetWorkOrderResourceTypVO getWorkOrderResourceType(GetWorkOrderResourceTypeDTO dto);

    List<WorkOrder> getWorkOrder(DateDTO dateDTO);

    void importWorkOrder(ExcelImportDTO dto);
}
